@import "./libs/all.min.css";
/***
====================================================================
  Fonts
====================================================================
***/

@font-face {
    font-family: Corra-Montserra-Light;
    src: url(./webfonts/Corra-Montserra-Light.ttf);
    font-display: swap;
}

@font-face {
    font-family: Corra-Montserra-Bold;
    src: url(./webfonts/Corra-Montserra-Bold.ttf);
    font-display: swap;
}
/***
====================================================================
  Custom Properties
====================================================================
***/
:root {
    --font: Corra-Montserra-Light;
    --font-title: Corra-Montserra-Bold;
    --color-1: #691c32;
    --color-1-a: rgb(105, 28, 50, 0.7);
    --color-2: #c2ba98;
    --color-5: #636569;
    --color-6: #e3e4e5;
    --azul: #111c4e;
    --rojo: #a8123e;
    --claro: #dfebe9;
    --gris: #eee;
    --text-color: #4d4d4d;
    --body-bg: #ecf0f5;
    --menu-active-bg: #212d3a;
    --menu-bg: #263544;
    --menu-text: #a7a7be;
    --semaforo-rojo: #ff0000;
    --semaforo-naranja: #ed7c31;
    --semaforo-amarillo: #ffff00;
    --semaforo-verde: #00b050;
}

/***
====================================================================
  Reset
====================================================================
***/

html {
    box-sizing: border-box;
    scroll-behavior: smooth;
}

*,
*::after,
*::before {
    box-sizing: inherit;
}

::-webkit-scrollbar {
    width: 10px;
    height: 10px;
}

::-webkit-scrollbar-thumb {
    background: var(--color-5);
}

[id] {
    scroll-margin-top: 82px;
}

a {
    text-decoration: none;
    color: inherit;
}

body {
    color: var(--text-color);
    background-color: var(--body-bg);
    font-family: var(--font);
    font-size: 14px;
    line-height: 1.2;
    overflow-x: hidden;
    margin: 0;
}

body.active {
    overflow-y: hidden;
}

.btn:first-child:active,
button:active,
.btn.show {
    border: none;
    border-color: transparent;
}

.dropdown-center:focus-visible {
    outline: none !important;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    color: var(--text-color);
    font-family: var(--font-title);
}

img,
canvas {
    max-width: 100%;
    height: auto;
}

input::placeholder,
textarea::placeholder {
    letter-spacing: 1px;
}

li {
    list-style: none;
}

p {
    line-height: 1.4;
    margin: 0;
    margin-bottom: 0.5rem;
    font-weight: normal;
}

ul {
    list-style: none;
    margin: 0;
    padding: 0;
    line-height: 1.3;
}

table {
    break-inside: auto;
}

tr {
    break-inside: avoid;
    break-after: auto;
}

thead,
caption {
    display: table-header-group;
}

tfoot {
    display: table-footer-group;
}

textarea.form-control {
    min-height: 95px;
}


.accordion-button:focus {
    box-shadow: none;
}

.card {
    transition-delay: unset;
    transition-duration: 0.3s;
    transition-property: box-shadow;
}

.card-hover:hover {
    box-shadow: 7px 7px 8px rgba(0, 0, 0, 0.6);
}

.card-img-top {
    max-height: 130px;
    width: auto;
    margin: auto;
    display: block;
}

.choices {
    margin-bottom: 0 !important;
}

.choices__inner.is-invalid {
    border-color: #dc3545;
}

.choices[data-type*="select-one"]::after,
.choices[data-type*="multiple"]::after {
    content: "";
    height: 0;
    width: 0;
    border-style: solid;
    border-color: #333 transparent transparent;
    border-width: 5px;
    position: absolute;
    right: 11.5px;
    top: 50%;
    margin-top: -2.5px;
    pointer-events: none;
}

.choices__heading {
    font-weight: 900;
    font-size: 14px;
    color: #212529;
}

.choices__inner {
    display: block;
    width: 100%;
    padding: 0.375rem 2.25rem 0.375rem 0.75rem;
    background-color: white !important;
    font-size: 0.9rem;
    font-weight: 400;
    line-height: 1.6;
    min-height: auto;
}

.choices__input {
    margin-bottom: 0;
    background-color: white !important;
    padding: 0;
}

.choices__list--single {
    padding: 0;
}

.choices__placeholder {
    opacity: 1;
    font-size: 0.9rem;
    font-weight: 400;
    line-height: 1.6;
    color: #212529;
}

.choices__list--dropdown .choices__item--selectable {
    padding-right: 0 !important;
}

.form-check-input {
    background-color: #f8fafc !important;
    pointer-events: auto !important;
    border: 1px solid var(--color-5) !important;
}

.form-check-input:checked {
    background-color: #0d6efd !important;
    border-color: #0d6efd !important;
}

.input-group {
    flex-wrap: nowrap;
}

/***
====================================================================
  Login
====================================================================
***/
.h100vh {
    height: 100vh;
}
.auth-main::before {
    background: rgba(23, 25, 28, 0.9);
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 350px;
    height: calc(100% - 40px);
    z-index: -1;
    margin: 20px;
}
@media (max-width: 575.98px) {
    .auth-main::before {
        width: 100%;
        height: 100%;
        margin: 0;
    }
}
.auth-main:after {
    content: "";
    position: absolute;
    right: 0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: -2;
    background: url(./../images/laguna-alchichica.jpg) no-repeat center fixed;
}
.auth-box {
    height: auto;
    width: 380px;
    margin-left: 130px;
}
.auth-box img {
    height: 80px !important;
    display: block;
}

@media (max-width: 767.98px) {
    .auth-box {
        width: 80%;
        margin: 0 auto;
    }
}
@media (max-width: 575.98px) {
    .auth-box {
        width: 90%;
    }
}

/***
====================================================================
  Components
====================================================================
***/
/* ********** sidebar ********** */
.sidebar {
    position: fixed;
    top: 0;
    left: 0;
    width: 60px;
    height: 100%;
    background-color: var(--menu-bg);
    z-index: 1054;
    transition: 0.3s ease;
    overflow-x: hidden;
}

.sidebar::-webkit-scrollbar-thumb {
    background: transparent;
}

.sidebar.show {
    width: 250px;
    border-radius: 0;
}

.sidebar.hide .brand {
    margin-left: 0.5rem;
}

.sidebar .brand {
    font-size: 0.9rem;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--claro);
    background-color: var(--menu-active-bg);
    padding: 1rem;
}

.sidebar .brand img {
    min-width: 40px;
}

.sidebar .brand .text {
    margin-left: 1rem;
    font-size: 1.1rem;
    font-weight: bolder;
}

.sidebar .side-menu {
    width: 100%;
    margin-top: 2rem;
}

.sidebar .side-menu li {
    height: 48px;
    background: transparent;
}

.sidebar .side-menu li.active {
    background-color: var(--menu-active-bg);
    border-left: 6px solid var(--color-1);
    color: inherit;
    position: relative;
}

.sidebar .side-menu li a,
.sidebar .side-menu li button {
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    border-radius: 25px;
    color: var(--menu-text);
    padding-left: 6px;
    white-space: nowrap;
    overflow-x: hidden;
}

.sidebar.hide .side-menu li a {
    width: 48px;
    transition: width 0.3s ease;
}

.sidebar .side-menu.top li a:hover,
.sidebar .side-menu.top li a:hover i {
    color: var(--rojo);
}

.sidebar .side-menu li a i {
    min-width: calc(75px - ((4px + 6px) * 2));
    display: flex;
    justify-content: center;
}

.sidebar .side-menu li a svg {
    width: calc(38px - ((4px + 6px) * 2));
    min-width: calc(38px - ((4px + 6px) * 2));
    fill: white;
    margin: auto 0.65rem;
}

.sidebar .side-menu li a:hover svg {
    fill: var(--color-1);
}

@media screen and (min-width: 992px) {
    .sidebar {
        width: 250px;
    }
}

/***
====================================================================
  Utilities
====================================================================
***/

.bg-1 {
    background-color: var(--color-1) !important;
    color: white !important;
}

.bg-yellow {
    background-color: var(--semaforo-amarillo) !important;
}

.border-solid-1,
.border-solid-1 > * {
    border-bottom: 1px solid rgba(167, 167, 190, 0.25);
}

.container-scroller {
    height: 350px;
    overflow-x: scroll;
    border-radius: 0;
}

.container-scroller.h-500 {
    height: 500px;
}

.ff-light {
    font-family: var(--font);
}

.fs-875 {
    font-size: 0.875em;
}

.form-control {
    min-height: 37px;
}

.form-check-input:disabled {
    opacity: 1 !important;
}

.h-fit-content {
    height: fit-content;
}

.progress,
.progress-stacked {
    width: 100%;
    height: 30px;
    border-radius: 0;
}

.separator {
    display: block;
    height: 3px;
    margin: 2rem auto;
    background-color: var(--color-6);
}

.separator.border-color-1 {
    background-color: var(--color-1-a);
}

.text-justify {
    text-align: justify;
}

.text-yellow {
    color: var(--semaforo-amarillo) !important;
}

@media screen and (min-width: 992px) {
    .grid-3 {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
    }
    .grid-4 {
        display: grid;
        grid-template-columns: repeat(4, 1fr);
    }
    .grid-6 {
        display: grid;
        grid-template-columns: repeat(6, 1fr);
    }
}

/* CONTENT */
.content {
    position: relative;
    width: calc(100% - 60px);
    left: 60px;
    transition: 0.3s ease;
}

.sidebar.show ~ .content {
    width: calc(100% - 250px);
    left: 250px;
}

/* NAVBAR */
.bar-menu {
    background-color: #f8fafc;
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: 56px;
    margin-bottom: 2rem;
    min-height: 76px;
    padding: 0 24px;
    position: sticky;
    top: 0;
    z-index: 999;
}

.bar-menu .bx-menu {
    cursor: pointer;
    color: var(--color-5);
}

@media screen and (min-width: 992px) {
    .bar-menu .bx-menu {
        display: none;
    }
}

/* MAIN */
.content main {
    width: 100%;
    max-width: 1320px;
    margin: 0 auto;
    padding: 24px;
}

.content .head-title {
    display: flex;
    align-items: center;
    justify-content: space-between;
    grid-gap: 16px;
    flex-wrap: wrap;
    padding: 0 1rem;
}

.content .head-title .left h1 {
    font-size: 36px;
    font-weight: 600;
    margin-top: 0;
    margin-bottom: 10px;
    color: var(--color-5);
}

.content .head-title .left .breadcrumb {
    display: flex;
    align-items: center;
    margin-bottom: 0;
}

.content .head-title .left .breadcrumb i {
    margin-right: 0.25rem;
}

.content .head-title .left .breadcrumb li {
    color: var(--color-5);
    margin-right: 0.25rem;
}

.content .head-title .left .breadcrumb li a {
    color: var(--color-5);
}

.content .head-title .left .breadcrumb li a.active {
    color: var(--color-1);
    pointer-events: unset;
}

.nav-tabs .nav-link.active {
    background-color: var(--color-1);
    color: white;
}

.container-historico h6:nth-child(1) {
    background-color: red;
}

@media screen and (min-width: 768px) {
    .content-int-4 {
        display: grid;
        grid-template-columns: repeat(4, 1fr);
        column-gap: 1rem;
    }

    .content-int-4.anio-width {
        grid-template-columns: 80px repeat(4, 1fr);
    }
    .content-int-4.historico-2023 {
        display: grid;
        grid-template-columns: 82px 1fr 1fr 1fr;
        column-gap: 1rem;
    }
    .content-int-4.historico-2023.border-separator {
        border-bottom: 2px solid var(--color-6);
        padding-top: 1rem;
        padding-bottom: 1rem;
    }
    .content-row-6 {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: repeat(6, 1fr);
        column-gap: 1rem;
        grid-template-areas:
            "meses-header-1 meses-header-2"
            "mes-1 mes-7"
            "mes-2 mes-8"
            "mes-3 mes-9"
            "mes-4 mes-10"
            "mes-5 mes-11"
            "mes-6 mes-12";
    }
    .content-row-6 .meses-header-1 {
        grid-area: meses-header-1;
        align-items: center;
    }

    .content-row-6 .meses-header-2 {
        grid-area: meses-header-2;
        align-items: center;
    }
    .content-row-6 .mes-1 {
        grid-area: mes-1;
    }
    .content-row-6 .mes-2 {
        grid-area: mes-2;
    }
    .content-row-6 .mes-3 {
        grid-area: mes-3;
    }
    .content-row-6 .mes-4 {
        grid-area: mes-4;
    }
    .content-row-6 .mes-5 {
        grid-area: mes-5;
    }
    .content-row-6 .mes-6 {
        grid-area: mes-6;
    }
    .content-row-6 .mes-7 {
        grid-area: mes-7;
    }
    .content-row-6 .mes-8 {
        grid-area: mes-8;
    }
    .content-row-6 .mes-9 {
        grid-area: mes-9;
    }
    .content-row-6 .mes-10 {
        grid-area: mes-10;
    }
    .content-row-6 .mes-11 {
        grid-area: mes-11;
    }
    .content-row-6 .mes-12 {
        grid-area: mes-12;
    }
}

@media screen and (min-width: 992px) {
    .content {
        width: calc(100% - 250px);
        left: 250px;
    }
    .content nav .nav-link {
        display: none;
    }
}

.select-ods {
    display: flex;
}

.select-ods .btn {
    width: 170px;
    height: fit-content;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
}
.select-ods .choices {
    width: 100%;
}

.select-ods .choices__inner {
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}

.table-institucion {
    font-size: 12px;
}

/***
====================================================================
  Inicio
====================================================================
***/
.nav-resumen {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    position: sticky;
    top: 0;
    background-color: #f8fafc;
    z-index: 2;
    margin-bottom: 3rem;
}

.nav-resumen li a {
    display: inline-block;
    padding: 1rem 2rem;
}

.nav-resumen li a.active {
    background-color: #cfe2ff;
}

.map {
    width: 100%;
    height: 450px;
}

/***
====================================================================
  Resumen Instituciones
====================================================================
***/

.container-results span.badge {
    height: fit-content;
}

.list-group-proyectos {
    margin-bottom: 1.5rem;
}

.list-group-proyectos > div:first-child {
    font-size: 0.875em;
    cursor: pointer;
}

.list-group-proyectos > div:last-child {
    border-left: 1px solid rgba(73, 80, 87, 0.3);
    border-top: 1px solid rgba(73, 80, 87, 0.3);
}

.list-group-proyectos > div .progress {
    width: 100%;
    border-radius: 0;
}

.list-group-proyectos > div .progress-bar {
    align-items: end;
    padding-right: 1rem;
    text-shadow: 2px 2px 2px black;
}

.char-proyectos .list-group-proyectos:last-child > div:last-child {
    border-bottom: 1px solid rgba(73, 80, 87, 0.3);
}

#apexchartschartTipoAccion .apexcharts-series.apexcharts-pie-series,
#apexchartschartTipoProyecto .apexcharts-series.apexcharts-pie-series,
#apexchartschartEstatus .apexcharts-series.apexcharts-pie-series,
#resultado-institucion li {
    cursor: pointer;
}

.grupos-clave .card {
    width: 100%;
    height: auto;
}

.grupos-clave .card img {
    display: block;
    margin: auto;
    max-height: 150px;
    width: fit-content;
}

@media screen and (min-width: 992px) {
    .list-group-proyectos {
        display: grid;
        grid-template-columns: 35% 65%;
    }
    .list-group-proyectos > div {
        display: flex;
        align-items: center;
        padding: 1rem;
    }
}

/***
====================================================================
  Obra form
====================================================================
***/
.ejecucion-obra {
    display: flex;
}

.ejecucion-obra .input-group:not(:last-child) input {
    border-radius: 0;
}

.ejecucion-obra .input-group:not(:first-child) label {
    border-radius: 0;
}

.table-actividades tr th:not(:first-child),
.table-actividades tr td:not(:first-child) {
    text-align: center;
}

.table-actividades tr th:nth-last-child(-n + 2) {
    width: 200px;
}

.more-info-seg {
    cursor: url("../images/pointer.png") 15 15, pointer;
}

/***
====================================================================
  export PDF
====================================================================
***/
.tools {
    background-color: #323639;
    padding: 0.5rem;
    box-shadow: 2px 2px 18px 2px #000000;
    text-align: right;
    position: sticky;
    top: 0;
    z-index: 9999;
    display: flex;
    justify-content: space-between;
    color: white;
    align-items: center;
}

.tools .btn {
    background-color: transparent;
    border: 0;
}

.tools .btn:focus {
    box-shadow: none;
}

.tools .btn i {
    color: white;
}

.body-reporte {
    background-color: #525659;
    height: 100%;
}

.main-reporte .content-body {
    position: relative;
    padding-right: 1.2rem;
}

.main-reporte .map {
    height: 180px;
    pointer-events: none;
    background-color: white;
    border: 1px solid black;
}

.graficas-avances {
    margin-top: 1rem;
    margin-bottom: 0.25rem;
}

.graficas-avances .etiquetas {
    width: 22%;
}
.graficas-avances .graficas {
    width: 78%;
}
.graficas-avances .graficas .progress {
    height: 15px;
    margin-bottom: 0.5rem;
}

.leaflet-control-attribution.leaflet-control,
.leaflet-control-zoom.leaflet-bar.leaflet-control {
    display: none;
}

.fuente-info {
    position: absolute;
    top: 0;
    right: 0;
    writing-mode: vertical-rl;
    display: flex;
    height: 100%;
}

.reporte-pdf {
    background-color: #fff;
    box-shadow: 4px 4px 15px 1px #000000;
    font-size: 7pt;
    margin-top: 4rem;
    margin-bottom: 4rem;
    margin-left: auto;
    margin-right: auto;
    padding: 2rem;
    max-width: 215.9mm;
    /* width: 215.9mm;
    height: 279.4mm; */
    page-break-before: always;
    /* display: flex;
    flex-direction: column; */
}

.reporte-pdf h2 {
    font-size: 13pt;
}

.reporte-pdf h3 {
    font-size: 10pt;
}

.reporte-pdf h4 {
    font-size: 8pt;
}

.reporte-pdf h5 {
    font-size: 11pt;
}

.reporte-pdf h6 {
    font-size: 8pt;
}

.reporte-pdf p {
    line-height: 1.1;
}

.reporte-pdf .form-control {
    min-height: auto;
}

.reporte-pdf .form-control-sm {
    font-size: 7pt;
}

.header-reporte {
    position: relative;
    text-align: center;
}

.reporte-pdf .table th,
.reporte-pdf .table td {
    padding: 4px 5px;
}

.table-programas thead tr th:nth-child(6) {
    width: 80px;
}

.legend {
    display: flex;
    justify-content: end;
    width: 100%;
    margin-bottom: 1rem;
}

.item-legend {
    display: flex;
    align-items: center;
    margin-right: 0.75rem;
}

.item-legend p {
    margin-bottom: 0;
    margin-left: 0.25rem;
}

.item-legend span {
    display: inline-block;
    width: 10px;
    height: 10px;
}

.item-legend:nth-last-child(4) span,
.table tbody td.semaforo-rojo,
.semaforo-rojo {
    background-color: var(--semaforo-rojo);
    color: #fff;
}
.item-legend:nth-last-child(3) span,
.table tbody td.semaforo-naranja,
.semaforo-naranja {
    background-color: var(--semaforo-naranja);
    color: #fff;
}
.item-legend:nth-last-child(2) span,
.table tbody td.semaforo-amarillo,
.semaforo-amarillo {
    background-color: var(--semaforo-amarillo);
    color: #000;
}
.item-legend:nth-last-child(1) span,
.table tbody td.semaforo-verde,
.semaforo-verde {
    background-color: var(--semaforo-verde);
    color: #fff;
}

/************* Estilos Impresión *************/
@media all {
    .line-break {
        display: none;
    }
}

.container-grid-image-left {
    display: grid;
    grid-template-columns: 100px 1fr;
    column-gap: 1rem;
}

.grupos-clave {
    padding: 0.5rem;
    flex-wrap: wrap;
}

.grupos-clave > div {
    width: 100px;
    margin-right: 0.5rem;
}

.grupos-clave .card img {
    max-height: 40px;
}

.reporte-pdf.reporte-mes {
    max-width: 100%;
}

/* .reporte-pdf::after {
    content: "Página " counter(page);
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    text-align: center;
    font-size: 10px;
    color: #999;
    margin: 5px;
}

body {
    counter-reset: mypage;
}

.reporte-pdf {
    counter-increment: mypage;
} */

@media print {
    .reporte-pdf {
        margin-top: 0;
        margin-bottom: 0;
        margin-left: -2rem;
        margin-right: -3rem;
        box-shadow: none;
    }
    .reporte-pdf * {
        -webkit-print-color-adjust: exact;
    }
    .tools {
        display: none;
    }
    .line-break {
        display: block;
        page-break-before: always;
    }
    .card-unidad-medida {
        page-break-inside: avoid;
    }
}
